<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:a4j="http://richfaces.org/a4j"
      xmlns:rich="http://richfaces.org/rich"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://java.sun.com/jsf/facelets">
    <ui:composition template="/template/mainTemplate.xhtml">
        <ui:define name="title">Billing Period</ui:define>
        <ui:define name="content">
            <h1 class="pagetitle">Billing Period</h1>
            <div class="account">
                <div class="rtinner_left_block">            
                    <p:growl globalOnly="true"/>
                    <h:form>
                        <h:commandButton value="New" action="#{billingPeriodBeanJsf.initCreate}"/>
                    </h:form>
                    

                    <h:form id="manageNoticePanelForm">
                        <rich:dataTable id="dtBillingPeriod"
                                        value="#{billingPeriodDataModelJsf.billingPeriodDtos}"
                                        var="billingPeriodDto"
                                        rowKeyVar="row">
                            <f:facet name="noData">
                                <h:outputText value="No records found!" id="noRecord" style="font-size: 14px;color: red"/>
                                <script>
                                    document.getElementById("adiv").style.visibility = "hidden";
                                </script>
                            </f:facet>

                            <h:column>
                                <f:facet name="header">
                                    <h:outputLabel value="S.N."/>
                                </f:facet>
                                <h:outputText value="#{row+1}"/>
                            </h:column>

                            <h:column>
                                <f:facet name="header">
                                    <h:outputLabel value="Name"/>
                                </f:facet>
                                <h:outputText value="#{billingPeriodDto.name}"/>
                            </h:column>

                            <h:column>
                                <f:facet name="header">
                                    <h:outputLabel value="Code"/>
                                </f:facet>
                                <h:outputText value="#{billingPeriodDto.code}"/>
                            </h:column>
                            
                            <h:column>
                                <f:facet name="header">
                                    <h:outputLabel value="Hierarchy"/>
                                </f:facet>
                                  <h:outputText value="#{billingPeriodDto.hierarchy}"/>
                            </h:column>

                            <h:column>
                                <f:facet name="header">
                                    <h:outputLabel value="Description"/>
                                </f:facet>
                                <h:outputText value="#{billingPeriodDto.description}"/>
                            </h:column>
                            
                              
                            
                            <h:column>
                                <f:facet name="header">
                                    <h:outputLabel value="Actions"/>
                                </f:facet>

                                <h:commandLink class="action edit" title="Edit" value="" action="#{billingPeriodBeanJsf.initEdit()}">
                                    <f:setPropertyActionListener value="#{billingPeriodDto}" target="#{billingPeriodDataModelJsf.billingPeriodDto}"/>
                                    <f:ajax execute="@this" onevent="function(data){showJqueryLoader(data)}" render="@form"/>
                                </h:commandLink>

                                <h:commandLink class="action delete" title="Delete" value="" action="#{billingPeriodBeanJsf.delete}" onclick="return confirm('Are You Sure?')">
                                    <f:setPropertyActionListener value="#{billingPeriodDto}" target="#{billingPeriodDataModelJsf.billingPeriodDto}"/>
                                    <f:ajax execute="@this" onevent="function(data){showJqueryLoader(data)}" render="@form"/>
                                </h:commandLink>

                            </h:column>
                        </rich:dataTable>
                    </h:form>
                </div>
            </div>

            <h:form id="frmEditParent">
                <rich:popupPanel show="#{billingPeriodDataModelJsf.createEditPanel}" styleClass="customPop" id="popupEditParent" domElementAttachment="form" autosized="true" resizeable="false" moveable="true" onmaskclick="#{rich:component('popupEditParent')}.hide();">
                    <div class="account">
                        <div class="rtinner_left_block">
                            <fieldset class="container-fluid">
                                <legend><h2>Create/Edit Billing Period</h2></legend>
                                <p>
                                    <h:outputLabel value="Name: "><span class="compulsoryField">*</span></h:outputLabel>
                                    <h:inputText id="itClassName" 
                                                 required="true" 
                                                 requiredMessage="Enter Name" 
                                                 validatorMessage="Enter Valid Name."
                                                 value="#{billingPeriodDataModelJsf.billingPeriodDto.name}">
                                        <f:converter converterId="convertor.StringSpace"/>
                                    </h:inputText>
                                    <h:message class="redcolortext" for="itClassName" id="itClassNameErr"/>
                                </p>
                                <p>
                                    <h:outputLabel value="Code: "><span class="compulsoryField">*</span></h:outputLabel>
                                    <h:inputText id="itClassCode" 
                                                 required="true" 
                                                 requiredMessage="Enter Code" 
                                                 validatorMessage="Enter Valid Code."
                                                 value="#{billingPeriodDataModelJsf.billingPeriodDto.code}">
                                    </h:inputText>
                                    <h:message class="redcolortext" for="itClassCode" id="itClassCodeErr"/>
                                </p>

                                  <p>
                                    <h:outputLabel value="Hierarchy: "><span class="compulsoryField">*</span></h:outputLabel>
                                    <h:inputText id="itClassHierarchy" 
                                                 required="true" 
                                                 requiredMessage="Enter Hierarchy" 
                                                 validatorMessage="Enter Hierarchy."
                                                 value="#{billingPeriodDataModelJsf.billingPeriodDto.hierarchy}">
                                    </h:inputText>
                                    <h:message class="redcolortext" for="itClassHierarchy" id="itClassHierarchyErr"/>
                                </p>
                                
                                
                                <p>
                                    <h:outputLabel value="Description: "><span class="compulsoryField">*</span></h:outputLabel>
                                    <h:inputText id="itClassDescription" 
                                                 required="true" 
                                                 requiredMessage="Enter Description" 
                                                 validatorMessage="Enter Valid Description."
                                                 value="#{billingPeriodDataModelJsf.billingPeriodDto.description}">
                                    </h:inputText>
                                    <h:message class="redcolortext" for="itClassDescription" id="itClassDescriptionErr"/>
                                </p>
                                      
                                        
                            </fieldset>
                        </div>
                        <div class="rtinner_right_block">
                            <div class="Btn_block">
                                <p>
                                    <h:commandButton id="btnEditParent" value="Save" action="#{billingPeriodBeanJsf.saveUpdate}">
                                        <f:ajax execute="@form" onevent="function(data){handleDisableButton(data,'frmEditParent:btnEditParent')}" render="@form"/>
                                    </h:commandButton>

                                    <h:commandButton id="btnCancel" value="Cancel" action="#{billingPeriodBeanJsf.navigateToPage()}" immediate="true">
                                        <f:ajax execute="@form" onevent="function(data){handleDisableButton(data,'frmEditParent:btnCancel')}" render="@form"/>
                                    </h:commandButton>
                                </p>
                            </div>
                        </div>
                    </div> 
                </rich:popupPanel>
            </h:form>
        </ui:define>
    </ui:composition>
</html>
